import { z } from 'zod';

export const networkGasParamsSchema = z.object({
  networkId: z.string().uuid(),
});

export interface NetworkGasInfo {
  readonly networkId: string;
  readonly blockNumber: number;
  readonly gasPrice: string;
  readonly gasLimit: number;
  readonly fee: string;
}
